# vim: set fileencoding=utf-8 :

from ve.models import *
from django.contrib import admin

class ServiceVEFilterAdmin(admin.ModelAdmin):
	fieldsets = (
		('Основные параметры', {'fields': ('title', 'tariff','filter_group', )}),
		('Специфические параметры', {'fields': ('ve_conf', )}),
	)
	list_display = ('title', 'tariff', )
	ordering = ('tariff',)
	search_fields = ('tariff',)
	list_filter = ('tariff',)

class ServiceVEUparamAdmin(admin.ModelAdmin):
	fieldsets = (
			(None, {'fields': ('client', 've')}),
		)
	list_display = ('client', 've')
	ordering = ('client',)
	search_fields = ('ve', 'client')

class VEAdmin(admin.ModelAdmin):
	list_display = ('veid', 'hostname', 'hn')
	ordering = ('veid',)
	search_fields = ('veid', 'hostname')
	list_filter = ('hn',)

class HNAdmin(admin.ModelAdmin):
	list_display = ('hostname',)
	ordering = ('hostname',)
	search_fields = ('hostname',)


admin.site.register(ServiceVEFilter, ServiceVEFilterAdmin)
admin.site.register(ServiceVEUparam, ServiceVEUparamAdmin)

admin.site.register(VE, VEAdmin)
admin.site.register(HN, HNAdmin)

